export interface IOptions {
    enableCache?: boolean;
    integrity?: string;
    crossorigin?: 'anonymous' | 'use-credentials';
    charset?: string;
    type?: string;
}
/**
 * dynamic load script
 *
 * @param path script path
 */
export declare function loadScript(path: string, options?: IOptions): Promise<void>;
/**
 * dynamic load script using ajax
 *
 * @param path script path
 */
export declare function usingAjax(path: string, options?: IOptions): Promise<void>;
/**
 * dynamic load script using fetch
 *
 * @param path script path
 */
export declare function usingFetch(path: string, options?: IOptions): Promise<void>;
